Package fr.gouv.vitam.common.model.objectgroup

# Class DbFileInfoModel

java.lang.Object
fr.gouv.vitam.common.model.objectgroup.DbFileInfoModel

public class DbFileInfoModel extends Object
DbFileInfoModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DbFileInfoModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreatingApplicationName()`
  `String`
  `getCreatingApplicationVersion()`
  `String`
  `getCreatingOs()`
  `String`
  `getCreatingOsVersion()`
  `String`
  `getDateCreatedByApplication()`
  `String`
  `getFilename()`
  `String`
  `getLastModified()`
  `void`
  `setCreatingApplicationName(String creatingApplicationName)`
  `void`
  `setCreatingApplicationVersion(String creatingApplicationVersion)`
  `void`
  `setCreatingOs(String creatingOs)`
  `void`
  `setCreatingOsVersion(String creatingOsVersion)`
  `void`
  `setDateCreatedByApplication(String dateCreatedByApplication)`
  `void`
  `setFilename(String filename)`
  `void`
  `setLastModified(String lastModified)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DbFileInfoModel

    public DbFileInfoModel()

- ## Method Details

  - ### getFilename

    public String getFilename()

  - ### setFilename

    public void setFilename(String filename)

  - ### getCreatingApplicationName

    public String getCreatingApplicationName()

  - ### setCreatingApplicationName

    public void setCreatingApplicationName(String creatingApplicationName)

  - ### getCreatingApplicationVersion

    public String getCreatingApplicationVersion()

  - ### setCreatingApplicationVersion

    public void setCreatingApplicationVersion(String creatingApplicationVersion)

  - ### getCreatingOs

    public String getCreatingOs()

  - ### setCreatingOs

    public void setCreatingOs(String creatingOs)

  - ### getCreatingOsVersion

    public String getCreatingOsVersion()

  - ### setCreatingOsVersion

    public void setCreatingOsVersion(String creatingOsVersion)

  - ### getLastModified

    public String getLastModified()

  - ### setLastModified

    public void setLastModified(String lastModified)

  - ### getDateCreatedByApplication

    public String getDateCreatedByApplication()

  - ### setDateCreatedByApplication

    public void setDateCreatedByApplication(String dateCreatedByApplication)